> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get LibraryParameterDefinition by ID

GET https://{tenant_name}.benchling.com/api/v3/library-parameter-definition/{library_parameter_definition_id}

Get a single LibraryParameterDefinition by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/library-parameter-definition/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `library_parameter_definition_id` (string, required) — ID of the LibraryParameterDefinition.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `createdAt` (string, optional)
- `creator` (PrincipalRef, optional)
- `dataType` (enum, optional)
  - Allowed values: `AA_PART_LINK`, `AA_SEQUENCE_LINK`, `ASSAY_REQUEST_LINK`, `ASSAY_RESULT_LINK`, `ASSAY_RUN_LINK`, `BATCH_LINK`, `BLOB_LINK`, `BOOLEAN`, `CUSTOM_ENTITY_LINK`, `DATE`, `DATETIME`, `DNA_SEQUENCE_LINK`, `ENTITY_LINK`, `ENTRY_LINK`, `FLOAT`, `INTEGER`, `JSON`, `LONG_TEXT`, `MIXTURE_LINK`, `MOLECULE_LINK`, `BASE_MOLECULE_LINK`, `PART_LINK`, `RNA_PART_LINK`, `RNA_SEQUENCE_LINK`, `SAMPLE_LINK`, `DROPDOWN`, `STORAGE_LINK`, `TEXT`, `TRANSCRIPTION_LINK`, `TRANSLATION_LINK`
- `description` (string, optional)
- `id` (string, optional)
- `modifiedAt` (string, optional)
- `name` (string, optional)
- `unitType` (UnitTypeRef, optional, nullable)

## Errors

### 400 Library Parameter Definition Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Library Parameter Definition Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Library Parameter Definition Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Library Parameter Definition Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Library Parameter Definition Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### UnitTypeRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "createdAt": "createdAt",
  "creator": {
    "__typename": "__typename",
    "id": "id"
  },
  "dataType": "AA_PART_LINK",
  "description": "description",
  "id": "id",
  "modifiedAt": "modifiedAt",
  "name": "name",
  "unitType": {
    "__typename": "__typename",
    "id": "id"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/library-parameter-definition/library_parameter_definition_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/library-parameter-definition/library_parameter_definition_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```